Debian Bug report logs - #473168
Localization files for enigmail

version graph

Package: enigmail; Maintainer for enigmail is Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>; Source for enigmail is src:enigmail.

Reported by: Bernhard <bwoern@online.de>

Date: Fri, 28 Mar 2008 21:42:01 UTC

Severity: minor

Found in versions 0.95.0+1-3.1, enigmail/2:0.95.0+1-3.1

Fixed in version 2:1.0.1-1

Done: Willi Mann <foss-ml@wm1.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#473168; Package enigmail. Full text and rfc822 format available.

Acknowledgement sent to Bernhard <bwoern@online.de>:
New Bug report received and forwarded. Copy sent to Alexander Sack <asac@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bernhard <bwoern@online.de>
To: submit@bugs.debian.org
Subject: Localization files for enigmail
Date: Fri, 28 Mar 2008 22:32:43 +0100
Package: enigmail
Version: 0.95.0+1-3.1
Severity: minor

There are no localization packages for enigmail in lenny/sid available.
Please add the localization packages from etch (enigmail-locale-xx,
version 0.9x)

I am using Debian 5.0 "lenny", kernel 2.6.24-4 and libc6 2.7-6

Thanks
Bernhard




Information forwarded to debian-bugs-dist@lists.debian.org, le.iota@free.fr, Alexander Sack <asac@debian.org>:
Bug#473168; Package enigmail. Full text and rfc822 format available.

Acknowledgement sent to Yves Lambert <le.iota@free.fr>:
Extra info received and forwarded to list. Copy sent to le.iota@free.fr, Alexander Sack <asac@debian.org>. Full text and rfc822 format available.

Message #10 received at 473168@bugs.debian.org (full text, mbox):

From: Yves Lambert <le.iota@free.fr>
To: Debian Bug Tracking System <473168@bugs.debian.org>
Subject: enigmail: The severity of this bug should be set to Important
Date: Thu, 15 May 2008 04:18:22 +0200
Package: enigmail
Version: 2:0.95.0+1-3.1
Followup-For: Bug #473168

Hi,

As enigmail depends on localization, it won't work without its localization
files unless the user falls back icedove or iceape mail/news to en-us.

Enigmail localization files must follow the mail/news client
localization files or else it doesn't work.

This bug have to be raised (and/or corrected of course)

-- System Information:
Debian Release: lenny/sid
  APT prefers proposed-updates
  APT policy: (500, 'proposed-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/dash

Versions of packages enigmail depends on:
ii  gnupg                         1.4.6-2.2  GNU privacy guard - a free PGP rep
ii  iceape-mailnews               1.1.9-5    Iceape Mail & Newsgroups and Addre
ii  icedove                       2.0.0.14-1 free/unbranded thunderbird mail/ne
ii  libc6                         2.7-11     GNU C Library: Shared libraries
ii  libgcc1                       1:4.3.0-4  GCC support library
ii  libnspr4-0d                   4.7.1-1    NetScape Portable Runtime Library
ii  libstdc++6                    4.3.0-4    The GNU Standard C++ Library v3

enigmail recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#473168; Package enigmail. Full text and rfc822 format available.

Acknowledgement sent to Alexander Sack <asac@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 473168@bugs.debian.org (full text, mbox):

From: Alexander Sack <asac@debian.org>
To: Yves Lambert <le.iota@free.fr>, 473168@bugs.debian.org
Subject: Re: Bug#473168: enigmail: The severity of this bug should be set to Important
Date: Fri, 16 May 2008 12:51:20 +0200
On Thu, May 15, 2008 at 04:18:22AM +0200, Yves Lambert wrote:
> Package: enigmail
> Version: 2:0.95.0+1-3.1
> Followup-For: Bug #473168
> 
> Hi,
> 
> As enigmail depends on localization, it won't work without its localization
> files unless the user falls back icedove or iceape mail/news to en-us.
> 
> Enigmail localization files must follow the mail/news client
> localization files or else it doesn't work.
> 
> This bug have to be raised (and/or corrected of course)
> 

What are the symptoms of not working here?

 - Alexander





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#473168; Package enigmail. Full text and rfc822 format available.

Acknowledgement sent to Alexander Sack <asac@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 473168@bugs.debian.org (full text, mbox):

From: Alexander Sack <asac@debian.org>
To: Yves Lambert <le.iota@free.fr>
Cc: Alexander Sack <asac@debian.org>, 473168@bugs.debian.org
Subject: Re: Bug#473168: enigmail: The severity of this bug should (not) be set to Important
Date: Fri, 16 May 2008 16:24:11 +0200
OK, I don't see anything that is really serious ... except the fact
that the enigmail strings are not translated ... which is important I
agree, but it doesn't break icedove ...

On Fri, May 16, 2008 at 02:27:10PM +0200, Yves Lambert wrote:
> Hi,
>
> Alexander Sack wrote:
>> What are the symptoms of not working here?  
> some problems but it seems to work...
>
> (launching thunderbird^W icedove) and following steps on  
> http://enigmail.mozdev.org/documentation/ (assuming latest enigmail  
> shipped by debian is installed, it is.)
>
> Self sending signed then encrypted message : OK.
> In fact some earlier versions of enigmail did not work without  
> appropriate locale installed. Forget it
>
> Problems abstract (are they open bugs?)
>
> *Not an enigmail bug (or else a typo in mozdev page)
> - enigmail needs a version of pgp that is not shipped by debian
> Debian specific bugs
> - enigmail package description reference to thunderbird rather than icedove
> - enigmail does not work with iceape (and therefore should not depend on  
> icedove OR iceape).
>
> 1st/  
> http://enigmail.mozdev.org/documentation/quickstart-ch1.php#id2532886  
> requires GnuPG 1.4.9 (or some later version), and debian/sid ships  
> 1.4.6-2-2 (typo on enigmail.mozdev.org page?)
> 2nd/ package description is "Enigmail GPG support for Thunderbird"  
> instead of Icedove
> 3rd/ package depends on iceape or icedove though I can't find any  
> symptom of presence of enigmail on iceape (previous version of enigmail  
> *used to* work on both thunderbird and mozilla suite, but its page on  
> mozdev seems to say it works on thunderbird only - anyway the xpi cannot  
> be installed on seamonkey^W iceape
>
>>  - Alexander
>

 - Alexander





Information forwarded to debian-bugs-dist@lists.debian.org, debian-i18n@lists.debian.org, Daniel Baumann <daniel@debian.org>, Alexander Sack <asac@debian.org>:
Bug#473168; Package enigmail. Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to debian-i18n@lists.debian.org, Daniel Baumann <daniel@debian.org>, Alexander Sack <asac@debian.org>. Full text and rfc822 format available.

Message #25 received at 473168@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 473168@bugs.debian.org
Subject: enigmail localization for Lenny?
Date: Sun, 25 May 2008 15:14:29 +0200
Hi,

currently we have no l10n support for the icedove/thunderbird enigmail
extension.  The rationale is that the source package enigmail-locales
has been removed as requested by Daniel Baumann in #448878¹, but the
language packs are not built from the enigmail source.

Note that Ubuntu still ships a separate enigmail-locales source package
(in universe) and builds the enigmail-locale-* packages from it.
Assuming that the Debian/Ubuntu maintainer for enigmail wants to keep
the differences between the distributions small, the options would be to

a) build enigmail-l10n-* packages from the enigmail source and file an
   Ubuntu bug that the enigmail-locales package is superseded; or

b) restore the enigmail-locales source package.

Technically, option a) looks better, since it ensures that the l10n
files are in sync with the actual enigmail package.

Regards,
        Sven


¹ http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=448878




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#473168; Package enigmail. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. Full text and rfc822 format available.

Message #30 received at 473168@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Sven Joachim <svenjoac@gmx.de>, 473168@bugs.debian.org
Subject: Re: Bug#473168: enigmail localization for Lenny?
Date: Sun, 25 May 2008 15:55:16 +0200
Sven Joachim wrote:
> Technically, option a) looks better

...and is the only sane thing to do here.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#473168; Package enigmail. Full text and rfc822 format available.

Acknowledgement sent to Alexander Sack <asac@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #35 received at 473168@bugs.debian.org (full text, mbox):

From: Alexander Sack <asac@debian.org>
To: Sven Joachim <svenjoac@gmx.de>, 473168@bugs.debian.org
Subject: Re: Bug#473168: enigmail localization for Lenny?
Date: Sun, 25 May 2008 16:11:18 +0200
On Sun, May 25, 2008 at 03:14:29PM +0200, Sven Joachim wrote:
> Hi,
> 
> currently we have no l10n support for the icedove/thunderbird enigmail
> extension.  The rationale is that the source package enigmail-locales
> has been removed as requested by Daniel Baumann in #448878¹, but the
> language packs are not built from the enigmail source.
> 
> Note that Ubuntu still ships a separate enigmail-locales source package
> (in universe) and builds the enigmail-locale-* packages from it.
> Assuming that the Debian/Ubuntu maintainer for enigmail wants to keep
> the differences between the distributions small, the options would be to
> 
> a) build enigmail-l10n-* packages from the enigmail source and file an
>    Ubuntu bug that the enigmail-locales package is superseded; or
> 
> b) restore the enigmail-locales source package.
> 
> Technically, option a) looks better, since it ensures that the l10n
> files are in sync with the actual enigmail package.

We could also ship them in the enigmail mainpackage. That would get
rid of all the maintenance and the archive clutter. The impact on size
should be fine.

 - Alexander





Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#473168; Package enigmail. Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. Full text and rfc822 format available.

Message #40 received at 473168@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Alexander Sack <asac@debian.org>
Cc: 473168@bugs.debian.org
Subject: Re: Bug#473168: enigmail localization for Lenny?
Date: Sun, 25 May 2008 16:45:00 +0200
On 2008-05-25 16:11 +0200, Alexander Sack wrote:

> We could also ship them in the enigmail mainpackage. That would get
> rid of all the maintenance and the archive clutter. The impact on size
> should be fine.

About 600 extra kB, judging by the enigmail-locale.jar that is shipped
in upstream's xpi¹.  Yes, that sounds okay.

Cheers,
       Sven


¹ https://addons.mozilla.org/en-US/thunderbird/downloads/file/22391/enigmail-0.95.6-tb+sm.xpi




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#473168; Package enigmail. (Tue, 08 Sep 2009 13:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Solveig <perso@solveig.org>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Tue, 08 Sep 2009 13:03:07 GMT) Full text and rfc822 format available.

Message #45 received at 473168@bugs.debian.org (full text, mbox):

From: Solveig <perso@solveig.org>
To: 473168@bugs.debian.org
Subject: Localization still not available in Debian
Date: Tue, 08 Sep 2009 14:43:56 +0200
Hi,

After careful checking, it appears that no localization is available for
enigmail in any version of Debian, since quite a while. Translations are
available mainstream, so it would be great if they were included in the
Debian package...




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#473168; Package enigmail. (Mon, 21 Jun 2010 17:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernhard <bewoern@online.de>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Mon, 21 Jun 2010 17:45:03 GMT) Full text and rfc822 format available.

Message #50 received at 473168@bugs.debian.org (full text, mbox):

From: Bernhard <bewoern@online.de>
To: 473168@bugs.debian.org
Subject: Localization is available in version 1.0.1-3
Date: Mon, 21 Jun 2010 19:51:17 +0200
[Message part 1 (text/plain, inline)]
Hello,

i have installed the actual version of enigmail from testing.
The tested version is 2:1.0.1-3.

German localization is available now.
This bug report can be closed.

Thanks

Regards
Bernhard

[signature.asc (application/pgp-signature, inline)]

Reply sent to Willi Mann <foss-ml@wm1.at>:
You have taken responsibility. (Mon, 21 Jun 2010 19:57:16 GMT) Full text and rfc822 format available.

Notification sent to Bernhard <bwoern@online.de>:
Bug acknowledged by developer. (Mon, 21 Jun 2010 19:57:16 GMT) Full text and rfc822 format available.

Message #55 received at 473168-done@bugs.debian.org (full text, mbox):

From: Willi Mann <foss-ml@wm1.at>
To: Bernhard <bewoern@online.de>, 473168-done@bugs.debian.org
Subject: Re: Bug#473168: Localization is available in version 1.0.1-3
Date: Mon, 21 Jun 2010 21:54:50 +0200
Version: 2:1.0.1-1

> German localization is available now.
> This bug report can be closed.

Thanks for the notification.

WM




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Jul 2010 07:35:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:35:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.